> For the complete documentation index, see [llms.txt](https://developer.topazlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.topazlabs.com/image-models/removal-and-cleanup/sharpen/portrait.md).

# Portrait

### Model Overview

**Sharpen Portrait** is trained to enhance fine detail in high-resolution images of people, prioritizing natural skin texture and facial structure.

### Key Capabilities

* Optimized for faces and skin detail
* Avoids harsh edges and unnatural texture
* Best suited for portraits and close-up human subjects

### Model Pricing

<table data-header-hidden data-full-width="false"><thead><tr><th width="119.84765625">Text</th><th width="60.390625" data-type="number">Number</th><th width="59.5390625" data-type="number"></th><th width="60.0859375" data-type="number"></th><th width="60.265625" data-type="number"></th><th width="59.94140625" data-type="number"></th><th width="59.5390625" data-type="number"></th><th width="60.34375" data-type="number"></th><th width="59.9296875" data-type="number"></th><th width="59.828125" data-type="number"></th><th width="59.5078125" data-type="number"></th></tr></thead><tbody><tr><td><code>Output MP</code></td><td>1</td><td>4</td><td>8</td><td>16</td><td>24</td><td>32</td><td>40</td><td>50</td><td>64</td><td>100</td></tr><tr><td><code>Credits</code></td><td>1</td><td>1</td><td>1</td><td>1</td><td>1</td><td>2</td><td>2</td><td>3</td><td>3</td><td>5</td></tr></tbody></table>

### Getting Started

**Endpoint**

* <https://api.topazlabs.com/image/v1/sharpen/async>
  * `model` — `"Portrait"`

<details>

<summary><strong>Endpoint-Specific Parameters</strong></summary>

* `denoise_strength` — decimal between 0 and 1, default 0.5
  * Removes noise from the image.
* `face_enhancement` — boolean
  * Leverages our face recovery model to enhance faces.
* `face_enhancement_strength` — decimal between 0 and 1
  * Sets the strength of the face recovery.
* `face_enhancement_creativity` — decimal between 0 and 1
  * Choose realistic or creative face recovery.
* `subject_detection` — `"All"`, `"Foreground"`, or `"Background"`
  * Choose where enhancements are applied.

These parameters should be appended as key-value fields in the form-data request bodies (i.e. alongside the `model`, `output_height`, and `face_enhancement` etc. fields). Any parameters not explicitly provided are **automatically** configured by our auto-parameter model. Extra parameters provided that are not supported are ignored.

</details>

**Model-Specific Parameters**

* `sharpen_strength` — decimal between 0 and 1, default 0.5
* `opacity` — decimal between 0 and 1, default 1.0

{% hint style="info" %}
When calling `"Wildlife"` or `"Portrait"`, If the user does not specify a value for any of the above parameters, it will automatically calculate the optimal settings for sharpening based on the technical quality of the input (effectively the same as calling `"Auto Sharpen"`).
{% endhint %}

**Resolution Limits**

* `input` — 512 MP
* `output` — 512 MP

### Examples

<table data-card-size="large" data-view="cards"><thead><tr><th align="center"></th><th data-hidden data-card-cover data-type="image">Cover image</th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td align="center">Click to view</td><td><a href="/files/c6B5I3gN79zI19DSoQKX">/files/c6B5I3gN79zI19DSoQKX</a></td><td><a href="https://compare.topazlabs.com/share/image?src1=https://downloads.topazlabs.com/web-assets/model-examples/Portrait%20Sourcepexels-iamikeee-3310695%201-topaz-denoise.png&#x26;src1label=Before&#x26;src2=https://downloads.topazlabs.com/web-assets/model-examples/Portraitpexels-iamikeee-3310695%201-topaz-sharpen-denoise.png&#x26;src2label=After&#x26;zoom=1">https://compare.topazlabs.com/share/image?src1=https://downloads.topazlabs.com/web-assets/model-examples/Portrait%20Sourcepexels-iamikeee-3310695%201-topaz-denoise.png&#x26;src1label=Before&#x26;src2=https://downloads.topazlabs.com/web-assets/model-examples/Portraitpexels-iamikeee-3310695%201-topaz-sharpen-denoise.png&#x26;src2label=After&#x26;zoom=1</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.topazlabs.com/image-models/removal-and-cleanup/sharpen/portrait.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
